thread/matrix.h File Reference

Defines a matrix object intended for storing data in registers and operations within a CUDA thread. More...

`#include "cutlass/cutlass.h"`
`#include "cutlass/array.h"`
`#include "cutlass/matrix_coord.h"`
Include dependency graph for thread/matrix.h:

Go to the source code of this file.

## Classes

class | cutlass::thread::Matrix< Element, Rows, Columns, Layout >
| Per-thread matrix object storing a packed matrix. More...

## Namespaces

| cutlass
| cutlass::thread

## Typedefs

template<typename Element , int Rows, typename Layout = layout::ColumnMajor>
using | cutlass::thread::ColumnVector = Matrix< Element, Rows, 1, Layout >
| Column vector defined as a matrix with exactly one column. More...
template<typename Element , int Columns, typename Layout = layout::RowMajor>
using | cutlass::thread::RowVector = Matrix< Element, 1, Columns, Layout >
| Row vector defined as a matrix with exactly one row. More...